# NOTE: don't send this (glibc based) build to builders
Summary:	Character set conversion library
Summary(pl.UTF-8):	Biblioteka konwersji zestawów znaków
Name:		libiconv
Version:	1.15
Release:	0.1
License:	LGPL v3+
Group:		Libraries
Source0:	http://ftp.gnu.org/gnu/libiconv/%{name}-%{version}.tar.gz
# Source0-md5:	ace8b5f2db42f7b3b3057585e80d9808
URL:		http://www.gnu.org/software/libiconv/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	libtool >= 2:2.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This library provides an iconv() implementation, for use on systems
which don't have one, or whose implementation cannot convert from/to
Unicode.

%description -l pl.UTF-8
Ta biblioteka dostarcza implementację iconv() do używania z systemami,
które takiej funkcji nie posiadają, lub na których implementacja nie
potrafi konwertować z/do Unikodu.

%package devel
Summary:	libiconv header files
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libiconv
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
%if "%{_includedir}" == "/usr/include"
Conflicts:	glibc-devel
%endif

%description devel
This package contains libiconv header files.

%description devel -l pl.UTF-8
Pakiet ten zawiera pliki nagłówkowe biblioteki libiconv.

%package static
Summary:	libiconv static library
Summary(pl.UTF-8):	Statyczna biblioteka libiconv
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
This package contains static libiconv library.

%description static -l pl.UTF-8
Pakiet ten zawiera statyczną bibliotekę libiconv.

%package utils
Summary:	iconv utility
Summary(pl.UTF-8):	Narzędzie iconv
License:	GPL v3+
Group:		Applications/Text
Requires:	%{name} = %{version}-%{release}
%if "%{_bindir}" == "/usr/bin"
Conflicts:	glibc-misc
%endif

%description utils
iconv utility.

%description utils -l pl.UTF-8
Narzędzie iconv.

%prep
%setup -q

%{__rm} po/stamp-po

# struggling to get it regenerated, but i fail, these still remain:
#-rw-r--r-- 1 glen users 281073 24. sept   2010 ./libcharset/m4/libtool.m4
#-rw-r--r-- 1 glen users 281073 24. sept   2010 ./m4/libtool.m4
%{__rm} libcharset/m4/{libtool,lt*}.m4
%{__rm} m4/{libtool,lt*}.m4

%build
cp -f /usr/share/automake/config.sub build-aux
cp -f /usr/share/automake/config.sub libcharset/build-aux
cd preload
%{__libtoolize}
%{__aclocal}
%{__autoconf}
cd ../libcharset
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
cd ..
%{__libtoolize}
%{__aclocal} -I m4 -I srcm4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_docdir}/*.html

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog DESIGN NEWS NOTES README THANKS
%attr(755,root,root) %{_libdir}/libcharset.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libcharset.so.1
%attr(755,root,root) %{_libdir}/libiconv.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libiconv.so.2
%attr(755,root,root) %{_libdir}/preloadable_libiconv.so

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libcharset.so
%attr(755,root,root) %{_libdir}/libiconv.so
%{_libdir}/libcharset.la
%{_libdir}/libiconv.la
%{_includedir}/iconv.h
%{_includedir}/libcharset.h
%{_includedir}/localcharset.h
%{_mandir}/man3/iconv*.3*

%files static
%defattr(644,root,root,755)
%{_libdir}/libcharset.a

%files utils
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/iconv
%{_mandir}/man1/iconv.1*
%changelog
* Thu Mar 30 2017 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/libiconv.git;a=log;h=master

* Sat Feb 04 2017 Jakub Bogusz <qboosh@pld-linux.org> 06fbe89
- up to 1.15
- removed obsolete pl.po-update,gets-undefined-in-C11 patches

* Tue Jun 18 2013 Elan Ruusamäe <glen@delfi.ee> 2ebb06a
- patch to support glibc-2.16+ (dropped gets function)

* Tue Jun 18 2013 Elan Ruusamäe <glen@delfi.ee> 60052bc
- struggling with libtool 2.4 regeneration

* Wed Aug 10 2011 Jakub Bogusz <qboosh@pld-linux.org> f89b182
- updated to 1.14

* Wed Oct 28 2009 Jakub Bogusz <qboosh@pld-linux.org> fc34faf
- proper URL

* Wed Oct 28 2009 Jakub Bogusz <qboosh@pld-linux.org> 76186e4
- updated to 1.13.1

* Sat Apr 11 2009 Jakub Bogusz <qboosh@pld-linux.org> f5fd308
- updated to 1.13
- updated pl.po-update patch

* Sat Apr 11 2009 Jakub Bogusz <qboosh@pld-linux.org> 5104a0d
- updated for 1.13

* Tue Apr 08 2008 Elan Ruusamäe <glen@pld-linux.org> 4e81ffe
- unify ftp.gnu.org urls

* Fri Nov 30 2007 Jakub Bogusz <qboosh@pld-linux.org> ae27eaf
- libiconv is on LGPL v2+, but iconv utility is GPL v3+ now

* Fri Nov 30 2007 Jakub Bogusz <qboosh@pld-linux.org> 6acf240
- up to 1.12
- updated pl.po-update patch

* Fri Nov 30 2007 Jakub Bogusz <qboosh@pld-linux.org> 9f9243d
- updated for 1.12

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> ab99631
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> d1e8a20
- converted to UTF-8

* Sat Jul 22 2006 Jakub Bogusz <qboosh@pld-linux.org> 7d34fc3
- updated to 1.11, updated pl.po-update patch

* Sat Jul 22 2006 Jakub Bogusz <qboosh@pld-linux.org> 909f6f8
- updated for 1.11

* Mon Aug 15 2005 Jakub Bogusz <qboosh@pld-linux.org> 7a6ad29
- updated to 1.10, added pl.po-update patch

* Mon Aug 15 2005 Jakub Bogusz <qboosh@pld-linux.org> faaeaa1
- pl.po update

* Wed Sep 01 2004 Adam Gołębiowski <adamg@pld-linux.org> aee1dba
- kill pld.org.pl leftovers

* Sun Mar 14 2004 Jakub Bogusz <qboosh@pld-linux.org> de0060c
- added iconv.h to -devel (yes, C: glibc-devel - but it doesn't make sense with glibc)
- strict internal deps

